#include <stdio.h>
#include <math.h>

int main()
{
	long long int n,l,i,index;

scanf("%lld",&n);
long long int h1[n];

scanf("%lld",&l);
i=1;
index= -1;
while(i<=n && index == -1)
{
	
	scanf("%lld",&h1[i]);
if(l>=h1[i])
{
	index=i;
}

	i++;
}
printf("%lld",index);
}